# spec file for package proftpd (Version 1.2.9)

Name:		proftpd
Version:	1.2.9
Release:	1.intergenia
License:	GPL
Group:		Networking/Daemons
Provides:	ftpcount ftpshut ftpwho in.proftpd proftpd in.ftpd
Conflicts:	wuftpd, vsftpd
Requires:	openldap2-client, xinetd
Autoreqprov:	on
Summary:	Full featured FTP daemon
Icon:		proftpd.xpm
Source:		ftp://ftp.proftpd.org/distrib/source/proftpd-%{version}.tar.bz2
Source1:	proftpd.pamd
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildPrereq:	autoconf, automake, cyrus-sasl, openldap2, openldap2-client
BuildPrereq:	openldap2-devel, openssl, openssl-devel
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
Professional FTP Daemon offers features as configuration with a
Apache like syntax in a single file and per directory with
.ftpaccess, support of multiple virtual FTP servers and anonymous
FTP services, _no_ SITE EXEC command to avoid security problems,
hidden directories or files, wu.ftpd compatible logging (extended
logging available), utmp/wtmp support, shadow password support,
including support for expired accounts.
Documentation in /usr/share/doc/packages/proftpd and www.proftpd.org

Authors:
--------
    proftpd@proftpd.org

SuSE series: n

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{?suse_update_config}
./configure --prefix=/usr --sbindir=/usr/sbin \
	--sysconfdir=/etc --localstatedir=/var/run \
	--mandir=%{_mandir} --disable-sendfile \
	--enable-auth-pam \
	--enable-autoshadow \
	--enable-timeout-ident=0 \
	--with-modules=mod_ratio:mod_readme:mod_ldap
make clean
make
cp contrib/README README.contrib
chmod 644 contrib/xferstats.holger-preiss
ln -s proftpd in.ftpd

%post

# restart xinetd to start proftpd
/usr/sbin/rcxinetd restart > /dev/null 2>&1

%postun

# restart xinetd to stop proftpd
/usr/sbin/rcxinetd restart > /dev/null 2>&1

%install
export RPM_BUILD_ROOT

# create directories in build root
for dir in /etc/pam.d /etc/xinetd.d /usr/bin /usr/sbin /%{_mandir} /var/run/proftpd /var/adm/fillup-templates ; do
	mkdir -m 0755 -p $RPM_BUILD_ROOT/$dir
done

# install system specific files, but no rc config scripts, because we start
# proftpd with xinetd
install -m 0644 $RPM_SOURCE_DIR/proftpd.conf $RPM_BUILD_ROOT/etc
install -m 0644 $RPM_SOURCE_DIR/proftpd.pamd $RPM_BUILD_ROOT/etc/pam.d/proftpd
install -m 0644 $RPM_SOURCE_DIR/proftpd.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/proftpd
install -m 0755 ftpwho $RPM_BUILD_ROOT/usr/bin
install -m 0755 ftpcount $RPM_BUILD_ROOT/usr/bin
cp in.ftpd $RPM_BUILD_ROOT/usr/sbin

# install proftpd files
prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir} \
sbindir=$RPM_BUILD_ROOT/usr/sbin sysconfdir=$RPM_BUILD_ROOT/etc \
localstatedir=$RPM_BUILD_ROOT/var/run make install -e

%files
%config(noreplace) /etc/pam.d/proftpd
%config(noreplace) /etc/proftpd.conf
%config(noreplace) /etc/xinetd.d/proftpd
%doc COPYING CREDITS INSTALL ChangeLog NEWS README* sample-configurations
%doc contrib/README.ratio contrib/xferstats.holger-preiss
%doc doc/Configuration.html
%doc doc/faq.html
%doc doc/license.txt doc/mod_sample.c
%dir /var/run/proftpd
/usr/bin/ftpwho
/usr/bin/ftpcount
/usr/sbin/ftpshut
/usr/sbin/proftpd
/usr/sbin/in.proftpd
/usr/sbin/in.ftpd
%{_mandir}/man1/ftpwho.1*
%{_mandir}/man1/ftpcount.1*
%{_mandir}/man1/ftptop.1*
%{_mandir}/man5/xferlog.5*
%{_mandir}/man8/ftpshut.8*
%{_mandir}/man8/proftpd.8*

%changelog -n proftpd
* Mon May 31 2004 Maik Broemme <mbroemme@plusserver.de> 1.2.9-1.intergenia.de
- initial version
- sendfile() disabled because virtuozzo did not support it
- xinetd support
